Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.threads
Class JMeterContextService

    java.lang.Object
      org.apache.jmeter.threads.JMeterContextService

public final class JMeterContextService
extends Object

Provides context service for JMeter threads. Keeps track of active and total thread counts.

Method Summary
`static void` | `addTotalThreads(int thisGroup)` Update the total number of threads
`static void` | `clearTotalThreads()` Set total threads to zero
`static void` | `endTest()` Called by MainFrame#testEnded().
`static JMeterContext` | `getContext()` Gives access to the current thread context.
`static int` | `getNumberOfThreads()` Get the number of currently active threads
`static long` | `getTestStartTime()`
`static int` | `getTotalThreads()` Get the total number of threads (>= active)
`static void` | `startTest()` Method is called by the JMeterEngine class when a test run is started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getContext

    public static JMeterContext getContext()

  Gives access to the current thread context.

  Returns:
    the current thread Context

### startTest

    public static void startTest()

  Method is called by the JMeterEngine class when a test run is started. Zeroes numberOfActiveThreads. Saves current time in a field and in the JMeter property "TESTSTART.MS"

### getNumberOfThreads

    public static int getNumberOfThreads()

  Get the number of currently active threads

  Returns:
    active thread count

### endTest

    public static void endTest()

  Called by MainFrame#testEnded(). Clears start time field.

### getTestStartTime

    public static long getTestStartTime()

### getTotalThreads

    public static int getTotalThreads()

  Get the total number of threads (>= active)

  Returns:
    total thread count

### addTotalThreads

    public static void addTotalThreads(int thisGroup)

  Update the total number of threads

  Parameters:
    `thisGroup` - number of threads in this thread group

### clearTotalThreads

    public static void clearTotalThreads()

  Set total threads to zero

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.